#
# spec file for package t1lib (Version 1.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake te_latex tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         t1lib
Copyright:    LGPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      1.1.1
Release:      63
URL:          http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/t1lib/t1lib.html
# in future only from: ftp://sunsite.unc.edu/pub/Linux/libs/graphics/t1lib-1.1.1.tar.gz
Source0:      ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib/t1lib-1.1.1.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Adobe Type 1 font rasterizing library

%description
t1lib is a library for generating character- and string-glyphs from
Adobe Type 1 fonts under UNIX. t1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. Some disadvantages
of the rasterizer being included in X11 have been eliminated.

Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

SuSE series: gra

%package      -n t1lib-devel
Summary:      development libraries for t1lib
Group:        Development/Libraries

%description  -n t1lib-devel
development environment for t1lib (static libraries, header files ...)

Authors:
--------
    Rainer Menzner <Rainer.Menzner@neuroinformatik.ruhr-uni-bochum.de>

SuSE series: gra

%prep
%setup0 -n T1-%{version}

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f ac-tools}}
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=/usr \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            %{_target_cpu}-suse-linux-gnu
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes LGPL LICENSE README* 
%doc doc/t1lib_doc.dvi
%doc doc/t1_data.eps
%doc doc/t1lib_doc.pdf
/usr/lib/libt1.so.*
/usr/lib/libt1x.so.*
%config /usr/share/t1lib/t1lib.config
/usr/bin/type1afm
/usr/bin/xglyph

%files -n t1lib-devel
%defattr(-, root, root)
/usr/lib/libt1.so
/usr/lib/libt1.la
/usr/lib/libt1.a
/usr/lib/libt1x.so
/usr/lib/libt1x.la
/usr/lib/libt1x.a
/usr/include/t1lib.h
/usr/include/t1libx.h

%changelog -n t1lib
* Sat Aug 11 2001 - mfabian@suse.de
- update to t1lib-1.1.1
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 16 2001 - mfabian@suse.de
- new package: t1lib version 1.1.0
